#include "version.sh"

uniform sampler2D G_ssao;
uniform float weight;

in vec2 UV_f;

layout(location = 0) out vec4 fragColor;

void main()
{
    float valAO = 1.0 - texture(G_ssao, UV_f).r;    // the bigger, the lighter
    valAO = pow(valAO, weight);
    fragColor = vec4(0.0, 0.0, 0.0, 1.0 - valAO);
}
